#!/bin/sh
#
export DB_DIR="+DATA"

sqlplus "spec/spec" << !
alter table M_PARTS enable table lock;
alter table M_BOM enable table lock;
alter table M_WORKORDER enable table lock;
alter table M_INVENTORY enable table lock;
!

sqlplus "/as sysdba" << !
spool createTS_M.out

DROP TABLESPACE M_parts_space INCLUDING CONTENTS;
DROP TABLESPACE M_bom_space INCLUDING CONTENTS;
DROP TABLESPACE M_wo_space INCLUDING CONTENTS;
DROP TABLESPACE M_inv_space INCLUDING CONTENTS;

CREATE BIGFILE TABLESPACE M_parts_space
        DATAFILE '$DB_DIR/M_parts'  SIZE 20000M REUSE 
        ENCRYPTION USING 'AES256'
        DEFAULT STORAGE (ENCRYPT);
CREATE BIGFILE TABLESPACE M_bom_space
        DATAFILE '$DB_DIR/M_bom'  SIZE 20000M REUSE 
        ENCRYPTION USING 'AES256'
        DEFAULT STORAGE (ENCRYPT);
CREATE BIGFILE TABLESPACE M_wo_space
        DATAFILE '$DB_DIR/M_wo'  SIZE 100000M REUSE 
        ENCRYPTION USING 'AES256'
        DEFAULT STORAGE (ENCRYPT);
CREATE BIGFILE TABLESPACE M_inv_space
        DATAFILE '$DB_DIR/M_inv'  SIZE 20000M REUSE 
        ENCRYPTION USING 'AES256'
        DEFAULT STORAGE (ENCRYPT);
spool off
!
